Bug 6609 - network 3c905 and sound i810 are not working after default install
: network 3c905 and sound i810 are not working after default install
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/kernel-image-std-up)
: 2.4
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-21 14:53 by
Modified: 2008-02-15 18:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-21 14:53:24
Установка "всё по умолчанию", только IP вбит статически. Ядро -- 2.4,
kernel-image-std-up. После загрузки конфигурация корректа, модули подняты, по
ifconfig всё хорошо, но сеть не работает (пинги наружу не ходят, tcpdump
говорит, ничего в сети нет). При обновлении ядра до kernel-image-std26-up --
всё
работает сразу (не считая того, что пришлось руками добавить загрузку psmouse).
$ lspcidrake     
unknown         : Intel Corp.|82865G [Springdale-G] Chipset Host Bridge
unknown         : Intel Corp.|82865G/PE/P Processor to AGP Controller
usb-uhci        : Intel Corporation|USB Controller
usb-uhci        : Intel Corporation|USB Controller
usb-uhci        : Intel Corporation|USB Controller
unknown         : Intel Corp.|82801EB USB EHCI Controller #2
usb-uhci        : Intel Corporation|USB Enhanced Controller
i810_rng        : Intel Corporation|82820 815e (Camino 2) Chipset PCI
unknown         : Intel Corp.|82801EB ISA Bridge (LPC)
unknown         : Intel Corp.|82801EB ICH5 IDE
ata_piix        : Intel Corp.|82801EB ICH5 IDE (SATA)
unknown         : Intel Corp.|82801EB SMBus
i810_audio      : Intel Corp.|82801EB AC'97 Audio
Card:ATI Radeon RV280: ATI Technologies Inc|Radeon RV280 [Radeon 9200]
unknown         : ATI|RV280 ATI Radeon 9200 - Secondary
3c59x           : 3Com Corporation|3c905 100BaseTX [Boomerang]
unknown         : Virtual|Hub []
unknown         : Virtual|Hub []
unknown         : Virtual|Hub []
unknown         : Virtual|Hub []
scanner         : Hewlett-Packard|ScanJet 2200C []
unknown         : Virtual|Hub []

02:04.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (750ns min, 2000ns max)
        Interrupt: pin A routed to IRQ 18
        Region 0: I/O ports at bc00 [size=64]
        Expansion ROM at ff9f0000 [disabled] [size=64K]
------- Comment #1 From 2005-04-26 21:39:37 -------
При неработающей сети есть ли в выводе dmesg какие-либо сообщения об ошибках?

Меняется ли ситуация при загрузке с параметрами:
  noapic nolapic
  pci=noacpi
  acpi=off
?
------- Comment #2 From 2005-04-26 21:57:26 -------
Отлавливал по крайней мере одну ситуацию, когда помогло
s/i810_audio/snd-intel810/ (плюс соотв. добавки про snd-pcm-oss и
snd-mixer-oss).
------- Comment #3 From 2005-05-12 13:46:11 -------
нет. Типичные /proc/interrupts:


           CPU0       
  0:       6376    IO-APIC-edge  timer
  1:        163    IO-APIC-edge  keyboard
  8:          2    IO-APIC-edge  rtc
  9:          0   IO-APIC-level  acpi
 12:         51    IO-APIC-edge  PS/2 Mouse
 14:       4186    IO-APIC-edge  ide0
 15:        113    IO-APIC-edge  ide1
 16:        254   IO-APIC-level  usb-uhci, usb-uhci, radeon@PCI:1:0:0
 18:          2   IO-APIC-level  libata, eth0, usb-uhci
 19:          7   IO-APIC-level  usb-uhci
NMI:          0 
LOC:       6333 
ERR:          0
MIS:          0




           CPU0       
  0:       8941          XT-PIC  timer
  1:        243          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          7          XT-PIC  usb-uhci
  8:          2          XT-PIC  rtc
  9:          0          XT-PIC  acpi
 10:          2          XT-PIC  libata, eth0, usb-uhci
 11:        444          XT-PIC  usb-uhci, usb-uhci, radeon@PCI:1:0:0
 12:         51          XT-PIC  PS/2 Mouse
 14:       4303          XT-PIC  ide0
 15:        110          XT-PIC  ide1
NMI:          0 
LOC:       8907 
ERR:          0
MIS:          0
------- Comment #4 From 2005-05-12 14:03:43 -------
По поводу звука - по /proc/interrupts складывается впечатление, что модуль
просто не загружен.

Если по modprobe i810_audio модуль отказывается загружаться, а в dmesg
наблюдаются сообщения типа "Pure MMIO devices not supported" - нужно менять
i810_audio на аналогичный драйвер ALSA (snd-intel8x0) - в нём есть поддержка
таких устройств.  Конфигурация в /etc/modules.conf может выглядеть таким
образом:

alias snd-card-0 snd-via82xx
above snd-pcm snd-pcm-oss

(старые записи с snd или sound нужно убрать).
------- Comment #5 From 2005-05-12 14:06:40 -------
(In reply to comment #4)
> alias snd-card-0 snd-via82xx
> above snd-pcm snd-pcm-oss

Тьфу, исправить-то и забыл.

alias snd-card-0 snd-intel8x0
above snd-pcm snd-pcm-oss
------- Comment #6 From 2005-05-12 14:09:42 -------
звук вообще не грузился с no*, говорил, что ресурсы заняты. Больше хотелось
сети. sata и usb выгружал. Ну, в принципе, можно забить. На 2.6-то работает. 
------- Comment #7 From 2005-08-12 15:42:35 -------
По поводу неработающего 3c59x была найдена информация, что в некоторых случаях
помогает отключение запуска kudzu при загрузке (chkconfig kudzu off).
------- Comment #8 From 2007-06-27 11:02:24 -------
(In reply to comment #6)
> На 2.6-то работает. 
Наверное, уже WONTFIX по факту.

------- Comment #9 From 2008-02-15 18:52:17 -------
2.4 неактуален.